library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;


entity rebot_elim is

	port
	(
		clk		 : in	std_logic;
		entrada	 : in	std_logic;
		entrada_filtrada : out	std_logic
	);

end entity;

architecture rtl of rebot_elim is

constant largo : integer := 5;
signal filtro : std_logic_vector(largo-1 downto 0);

begin



-- Update the register output on the clock's rising edge
process (clk)
begin
	if (rising_edge(clk)) then
		filtro(0) <= entrada;
		filtro(largo-1 downto 1) <= filtro(largo-2 downto 0);
	end if;
end process;

entrada_filtrada <= '0' when (unsigned(filtro) = 0) else '1';

end rtl;
